Issue 6734

Summary: image map: use complete bitmap for map
Product: General Reporter: lars <lars_o_hansen>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P5 (lowest) CC: issues
Version: OOo 1.0.0   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description lars 2002-08-04 00:28:43 UTC
Imagemap function needs redesign because it has several issues, eg:

when entering newly an existing imagemap and changing frame, the tick doesn't 
become enabled.

one can't say "USE COMPLETE BITMAP FOR MAP"

frames available are limited, see issue xxxx for which type of "frames" should 
be implemented.
Comment 1 lars 2002-08-04 13:26:24 UTC
issue 6752


further issues with imagemap:

where do the addresses in its address bar come from? They seem to be 
completely random, not those I entered in the last image map (DO THAT 
in the reimplementation!), even different from time to time I add a 
new image map although I haven't opened or saved other documents

Also after change of frame in "properties" box (most right icon in 
image map dialog) and not clicking the tick (because then it does 
become enabled) but closing, I was asked whether I want to _save_. 
Clicking Yes opened the save as dialog. It should have asked me 
to "apply" changes.
Now, but as I tried to reproduce it for writing this issue, - it does 
always ask me whether it shall "apply", so there is no problem. But 
it was, so please look out (make sure when reimplementing to do 
it "cleanly", so that there can't occur such problems).

Lars
Comment 2 thorsten.martens 2002-08-06 09:15:08 UTC
TM->MSC: Please have a look. Bug or enhancement ?
Comment 3 marc.neumann 2002-10-11 11:53:39 UTC
I think it's an enhancement, so I set it to enhancement and send it to
bh@openoofice.org because she is responsible for enhancement.
Comment 4 ace_dent 2008-05-16 02:40:18 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 5 lars 2008-05-17 19:19:22 UTC
issue still valid as per OOo 3.0 Beta m2 sort of.
Comment 6 bettina.haberer 2010-05-21 14:50:10 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".